unit StatusValoresaposRZ;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormValoresaposRZ = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormValoresaposRZ: TFormValoresaposRZ;

implementation

uses principal, funcoesapoio, declaracoes;

{$R *.dfm}

procedure TFormValoresaposRZ.FormShow(Sender: TObject);
//Var  valor1:Array[0..100] of char;
//     valor2:Array[0..100] of char;
var valor1, valor2:String;
begin
        // Data HOra Último Documento MFD ------------------------------------------------------------------
        valor1:=#0; setlength(valor1,12);
        FormPrincipal.Statusbar1.Panels[0].Text:='Data Hora Último Documento MFD:'; WaitProcess;
        Resposta:= ECF_DataHoraUltimoDocumentoMFD(valor1);
        FormPrincipal.Memo1.Lines.Add('Data Hora Último Documento MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label1.Caption:='Data Hora Último Documento MFD = '+Format('%s/%s/%s',[Copy(Valor1,1,2),Copy(valor1,3,2),Copy(valor1,3,2)]);

        // Data HOra Redução  ------------------------------------------------------------------
        valor1:=#0; setlength(valor1,6);
        valor2:=#0; setlength(valor2,6);
        FormPrincipal.Statusbar1.Panels[0].Text:='Data Hora Redução:'; WaitProcess;
        Resposta:= ECF_DataHoraReducao(valor1, valor2);
        FormPrincipal.Memo1.Lines.Add('Data Hora Redução:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label2.Caption:='Data Redução = '+Format('%s/%s/%s',[Copy(Valor1,1,2),Copy(valor1,3,2),Copy(valor1,3,2)])+' Hora Redução = '+Format('%s:%s:%s',[Copy(Valor2,1,2),Copy(valor2,3,2),Copy(valor2,3,2)]);

        // Data Movimento Ultima Redução MFD ------------------------------------------------------------------
        valor1:=#0; setlength(valor1,6);
        FormPrincipal.Statusbar1.Panels[0].Text:='Data Movimento Última Redução MFD:'; WaitProcess;
        Resposta:= ECF_DataMovimentoUltimaReducaoMFD(valor1);
        FormPrincipal.Memo1.Lines.Add('Data Movimento Última Redução MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label3.Caption:='Data Movimento Última Redução = '+Format('%s/%s/%s',[Copy(Valor1,1,2),Copy(valor1,3,2),Copy(valor1,3,2)]);

        // Inicio Fim COOs MFD ------------------------------------------------------------------
        valor1:=#0; setlength(valor1,6);
        valor2:=#0; setlength(valor2,6);
        FormPrincipal.Statusbar1.Panels[0].Text:='Início Fim COOs MFD:'; WaitProcess;
        Resposta:= ECF_InicioFimCOOsMFD(valor1, valor2);
        FormPrincipal.Memo1.Lines.Add('Início Fim COOs MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label3.Caption:='COO Inicial = '+valor1+' COO Final = '+valor2;

        // Inicio Fim GTs MFD ------------------------------------------------------------------
        valor1:=#0; setlength(valor1,18);
        valor2:=#0; setlength(valor2,18);
        FormPrincipal.Statusbar1.Panels[0].Text:='Início Fim GTs MFD:'; WaitProcess;
        Resposta:= ECF_InicioFimGTsMFD(valor1, valor2);
        FormPrincipal.Memo1.Lines.Add('Início Fim GTs MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label3.Caption:='GT Inicial = '+Format('%18.2f',[StrtoFloat(valor1)/100])+' GT Final = '+Format('%18.2f',[StrtoFloat(valor2)/100]);;

        // Grande Total Ultima Redução MFD ------------------------------------------------------------------
        valor1:=#0; setlength(valor1,18);
        FormPrincipal.Statusbar1.Panels[0].Text:='Grande Total Última Redução MFD:'; WaitProcess;
        Resposta:= ECF_GrandeTotalUltimaReducaoMFd(valor1);
        FormPrincipal.Memo1.Lines.Add('Grande Total Última Redução MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label4.Caption:='GT Última Redução= '+Format('%18.2f',[StrtoFloat(valor1)/100]);
end;

end.
